<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    read_less: {
      type: String,
      required: false,
    },
    read_more: {
      type: String,
      required: false,
    },
    url_text: {
      type: String,
      required: false,
    },
    url: {
      type: String,
      required: false,
    },
    text: {
      type: String,
      required: true,
    },
    details: {
      type: String,
      required: true,
    },
  },
  data() {
    return {
      open: false,
    };
  },
  methods: {
    toggleOpen() {
      this.open = !this.open;
    },
  },
});
</script>

<template>
  <div class="disclaimer">
    <SlpContainer class="text-container">
      <SlpTypography class="slp-mb-16" variant="body3" tag="p"
        >{{ text
        }}<a v-if="url_text" :href="url"> {{ url_text }}</a></SlpTypography
      >
      <SlpTypography
        v-if="open"
        variant="body3"
        tag="div"
        class="details"
        v-html="$md.render(details)"
      />
      <SlpButton variant="tertiary" @click.native="toggleOpen">
        <SlpTypography v-if="read_more" variant="body3-bold" tag="p">{{
          open ? read_less : read_more
        }}</SlpTypography>
        <SlpTypography v-else variant="body3-bold" tag="p"
          >Read {{ open ? 'Less' : 'More' }}</SlpTypography
        >
      </SlpButton>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.disclaimer {
  background: #f2f1f5;
  .text-container {
    display: flex;
    margin: 0 auto;
    justify-content: center;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    padding: 32px 0;

    a {
      text-decoration: underline;
      color: $color-text-300;
    }
    .details:deep(p) {
      margin-bottom: 16px;
    }
  }
}
</style>
